    PROGRAM x05aafe

!      X05AAF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : x05aaf
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nout = 6
!      .. Local Arrays ..
       INTEGER                         :: itime(7)
!      .. Executable Statements ..
       WRITE (nout,*) 'X05AAF Example Program Results'

       CALL x05aaf(itime)

       WRITE (nout,99999) '       Year : ', itime(1)
       WRITE (nout,99999) '      Month : ', itime(2)
       WRITE (nout,99999) '        Day : ', itime(3)
       WRITE (nout,99999) '       Hour : ', itime(4)
       WRITE (nout,99999) '     Minute : ', itime(5)
       WRITE (nout,99999) '     Second : ', itime(6)
       WRITE (nout,99999) 'Millisecond : ', itime(7)

99999  FORMAT (1X,A,I4)
    END PROGRAM x05aafe
